Refresh local user - Fabric

Refresh local user

Example cURL Command

curl --request POST \
  --url https://demo.fabric.zone/api-commerceIdentity/auth/local/refresh \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --header 'x-site-context: <x-site-context>' \
  --data '
{
  "refreshToken": "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6IjYxZjIyMTU4..."
}'

Python Example

import requests

url = "https://demo.fabric.zone/api-commerceIdentity/auth/local/refresh"

payload = { "refreshToken": "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6IjYxZjIyMTU4..." }
headers = {
    "x-site-context": "<x-site-context>",
    "x-api-key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript Example (Fetch API)

const options = {
  method: 'POST',
  headers: {
    'x-site-context': '<x-site-context>',
    'x-api-key': '<api-key>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({refreshToken: 'eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6IjYxZjIyMTU4...'})
};

fetch('https://demo.fabric.zone/api-commerceIdentity/auth/local/refresh', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP Example

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://demo.fabric.zone/api-commerceIdentity/auth/local/refresh",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'refreshToken' => 'eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6IjYxZjIyMTU4...'
  ]),
  CURLOPT_HTTPHEADER => [
    "Content-Type: application/json",
    "x-api-key: <api-key>",
    "x-site-context: <x-site-context>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go Example

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://demo.fabric.zone/api-commerceIdentity/auth/local/refresh"

payload := strings.NewReader("{\n  \"refreshToken\": \"eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6IjYxZjIyMTU4...\"}\n")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("x-site-context", "<x-site-context>")
    req.Header.Add("x-api-key", "<api-key>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

API Response Examples

Success Response

{
  "_id": "596f7557696e2d4d617a616c546f7621",
  "userId": "6169b2d892a5f30009d76480",
  "roles": "customer",
  "name": "Pat E Kake",
  "account": "xxxxxcxxxxxxxxxxxxxx",
  "userType": "customer",
  "accessToken": "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6IjYxZjIyMTU4...",
  "refreshToken": "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6IjYxZjIyMTU4..."
}

Error Response (Invalid Credentials)

{
  "error": "LOCAL_AUTH_FAILED",
  "code": "400",
  "message": "Username or password is invalid"
}

Error Response (User Deactivated)

{
  "error": "USER_DEACTIVATED_ERROR",
  "code": "401",
  "message": "User is already deactivated"
}

Required Headers

Body Parameters

Example of x-site-context

{"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account": "1234abcd5678efgh9ijklmno","stage":"production"}